com.sun.jna.platform.win32

## Class WinDef.RECT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinDef.RECT

- Enclosing interface:
    WinDef

      public static class WinDef.RECT
      extends Structure

  The Class RECT.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `bottom` The bottom.
    `int` | `left` The left.
    `int` | `right` The right.
    `int` | `top` The top.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinDef.RECT()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `java.awt.Rectangle` | `toRectangle()` To rectangle.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### left

          public int left

      The left.

    - #### top

          public int top

      The top.

    - #### right

          public int right

      The right.

    - #### bottom

          public int bottom

      The bottom.

  - ### Constructor Detail

    - #### WinDef.RECT

          public WinDef.RECT()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

    - #### toRectangle

          public java.awt.Rectangle toRectangle()

      To rectangle.
      Returns:
        the rectangle

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.